segpoint.hh File Reference
`#include <mia/2d/vector.hh>`
`#include <mia/2d/defines2d.hh>`
`#include <mia/2d/transform.hh>`
Include dependency graph for segpoint.hh:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures

class | CSegPoint2D
| a point in a 2D segmentation shape More...

## Functions

void | read_attribute_from_node (const CXMLElement &elm, const std::string &key, bool &out_value, bool required)
template<typename T>
void | read_attribute_from_node (const CXMLElement &elm, const std::string &key, T &out_value, bool required)

## Function Documentation

## read_attribute_from_node() [1/2]

void read_attribute_from_node | ( | const CXMLElement & | elm,
|  | const std::string & | key,
|  | bool & | out_value,
|  | bool | required )

References NS_MIA_END.

## read_attribute_from_node() [2/2]

template<typename T>

void read_attribute_from_node | ( | const CXMLElement & | elm,
|  | const std::string & | key,
|  | T & | out_value,
|  | bool | required )